Search results for ""
Sorry. We didn't find any results for ""
Sorry, something bad happened. Please try again later.

What phones are compatible with iBlue and where can I download the app?

The iBlue device is compatible with all phones that use the iOS 10.0.0 (or later), Android OS 4.4 (or later) operating system and Bluetooth® 4.0 wireless technology.

Important note: Bluetooth LE continuously switched on decreases only 3% of the total battery capacity of your phone.

Our apps are free to download. Please visit this page to download.

Required phones

iOS

  • iPhone 5s or later (iOS 10.0.0 or later)
  • iPod Touch 5th gen or later
  • iPhone 4 – 4s is not supported

Android

  • Android 4.4 or later, with Bluetooth 4.0 support

The following Android devices have known issues with the iBlue devices:

Devices OS Known Issues
Samsung Galaxy S4 Mini Android 4.4+ These devices may have instabilities with their Bluetooth Low Energy (BLE) implementation. To restore BLE functionality you may need to turn Bluetooth off and on, reboot the handset, or restart your tracker.
Lenovo A536 Android 4.4+ These devices may have instabilities with their Bluetooth Low Energy (BLE) implementation. To restore BLE functionality you may need to turn Bluetooth off and on, reboot the handset, or restart your tracker. Also, the Proximity Mode will not work with the Immobilizer device.
Various 4.3 or earlier iBlue requires a phone running Android 4.4+, so any 4.3 device is not compatible. If possible, try updating the software to 4.4.

Important note: iPads and other tablets are not officially supported at this time.

Please note that using the beta version of the mobile operating system might cause malfunction. Use always the latest public version of the operating system and also the iBlue applications.

Last Updated: April 21, 2017 Print

© 2017 - AROS TECHNOLOGY KFT. All rights reserved. Various trademarks held by their respective owners.